This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 707736

Summary: Need to make disk space and disk quota requirements for server a bit clearer
Product: [Other] RHQ Project Reporter: Larry O'Leary <loleary>
Component: DocumentationAssignee: Deon Ballard <dlackey>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: urgent    
Version: 4.0.1CC: hrupp
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 15:22:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 625146    

Description Larry O'Leary 2011-05-25 15:36:44 EDT
We currently indicate in the JON documentation that a minimum of 10 GB of storage is required for the operation of JON Server. This section should also note that if user disk quotas are enforced, the user needs at minimum 10 GB. I am not sure how we want to do this because it would appear the JON server may rely on temporary space outside of its installation. Meaning that on a system that has a separate partition and disk quota for temporary files, this temp space must be taking into consideration. 

We may want to break this up into the storage space required for the JON server's installation directory and storage space required for temporary files and artifacts while the JON server is running.

The goal here is to prevent the user from getting into a situation where we may be writing to a file system location that is under a different quota rule or has a partition size smaller then what we will need. For example, if we are writing to /tmp in some instances, and the /tmp partition is only 6 GB, at what point will JON server start to fail?

In addition, we currently provide a "minimum" requirement and a "maximum" requirement. Is this really ideal? Can we guarantee that we will never exceed 40 GB? For example, if the user modified the log4j configuration of the server and sets the max log file size to 1 GB and states that they want to retain the last 10 log files, we would be at 10 GB as a minimum.
Comment 1 Larry O'Leary 2011-05-25 15:37:26 EDT
I meant to include a link to the requirements from the JON 2.4 documentation: http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html/Installation_Guide/Prerequisites.html#hardware
Comment 3 Heiko W. Rupp 2013-09-01 15:22:26 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.